<div class="profile-container">
  <button type="button" class="editEntity" [routerLink]="['/add-client', client.id]">Edit Data</button>
  <button type="button" class="deleteEntity" (click)="deleteClient(client.id)">Remove</button>
  <div class="avatar-section">
    <img src="{{ clientPhotoPath }}" alt="Avatar" class="avatar">
    <div class="user-info">
      <h2>{{ client.firstName }} {{ client.lastName }}</h2>
      <p>{{ client.streetAddress }}</p>
      <p>{{ client.postCodeAddress }} {{ client.cityAddress }}</p>
    </div>
  </div>
  <div class="documents-section">
    <input type="file" id="file-upload" (change)="chooseFiles($event)" #fileUpload multiple>
    <button for="file-upload" class="upload-button" (click)="saveDocument(fileUpload)">Upload</button>
    <div class="documents-list">
      <p *ngFor="let documentName of documentNames">{{ documentName }}
        <button class="load-button" (click)="loadFile(documentName)">Load</button>
        <button class="delete-button" (click)="removeFile(documentName)">Delete</button>
      </p>
    </div>
  </div>
</div>
